import { initCollocation } from "@/modules/collocation";
import { initAuthDef } from "@/modules/_default/auth";
import { initQueditor } from "@queenjs-modules/queditor";
import { initExpViewer } from "@queenjs-modules/queentree-explorer-viewer";
import { ModuleRoot } from "queenjs";
import "../storage";

export class CollocationCtxModule extends ModuleRoot {
  store = {};
  onReady() {
    const auth = initAuthDef();
    auth.actions.on("getUserInfo:success", () => {
      //
    });

    initExpViewer({
      modules: {
        queditor: initQueditor({
          config: {
            dragEnable: true,
          },
        }),
      },
    });

    initCollocation({
      config: {
        httpConfig: {
          // baseURL: "http://192.168.110.115:53931",
          baseURL: "http://192.168.110.226:62293",
        },
      },
    });
  }
}

export const { initCollocationCtx, useCollocationCtx } =
  CollocationCtxModule.hook("CollocationCtx");
