import { CollocationModule } from "../..";

export const designStore = CollocationModule.store({
  state: () => ({
    editType: "mat",
    designDetail: {
      matMatchs: [],
      prodMatchs: [],
    } as any,
  }),
  getters: {
    menuOptions(state) {
      const options = [{ label: "换料", value: "mat" }];

      const sourceData: any = {
        mat: state.designDetail.matMatchs,
      };

      state.designDetail.prodMatchs?.forEach((element: ProductMatching) => {
        const key = element.category || "换单品";
        if (!sourceData[key]) {
          sourceData[key] = [];
          options.push({ label: key, value: key });
        }
        sourceData[key].push(element);
      });
      return {
        options: options.concat({ label: "+", value: "add" }),
        sourceData,
      };
    },
    currentGroupList(state) {
      const res: any = this.store.menuOptions.sourceData[state.editType];
      return res;
    },
  },
  actions: {
    setEditType(type: string) {
      this.store.editType = type;
    },
    setDesignDetail(data: IStyle) {
      this.store.designDetail = data;
    },
    addMatchCategory(data) {
      if (!this.store.designDetail.prodMatchs)
        this.store.designDetail.prodMatchs = [];
      this.store.designDetail.prodMatchs?.push(data);
    },
    setMatchCategory(prodMatchs) {
      this.store.designDetail.prodMatchs = prodMatchs;
    },
  },
});
