import { useCollocation } from "@/modules/collocation";
import { useExpViewer } from "@queenjs-modules/queentree-explorer-viewer";
import { defineComponent, onMounted } from "vue";
import { useRoute } from "vue-router";
import Header from "./components/Header";
import RightPanel from "./components/RightPanel";

export default defineComponent({
  setup() {
    const { params } = useRoute();

    const collocatin = useCollocation();
    const expViewer = useExpViewer();

    const { queditor } = expViewer.modules;

    expViewer.initComponents({
      Viewport: {
        Header: {
          default: Header,
        },
        EditPanel: {
          default: RightPanel,
        },
      },
    });

    queditor.initComponents({
      Viewport: {
        Toolbar: {
          default: () => null,
        },
      },
    });

    onMounted(() => init());

    const init = async () => {
      collocatin.store.setEditType("mat");
      await collocatin.actions.queryStyleDetail(params.id as string);
      queditor.actions.initPack(collocatin.store.designDetail.scenePack.source);
      queditor.store.setCurrScene(0);
      expViewer.store.setEditNodeUid(collocatin.store.designDetail._id);
    };

    return () => (
      <div class="h-100vh">
        <expViewer.components.Viewport />
      </div>
    );
  },
});
