import { css } from "@linaria/core";
import { defineComponent } from "vue";
import { any } from "vue-types";
import { Image } from "@queenjs/ui";
import { Button } from "ant-design-vue";
import { useCollocation } from "@/modules/collocation";
import { queenApi } from "queenjs";

export default defineComponent({
  props: {
    value: any(),
  },
  emits: ["update.value"],
  setup(props, { emit }) {
    const collocation = useCollocation();

    const uploadThumbnail = async () => {
      const [Blob] = await queenApi.selectFile({ accept: "image/*" });

      const res = await collocation.controls.uploader.uploadFile(
        Blob,
        "avatar"
      );
      emit("update.value", res);
    };

    return () => {
      return (
        <div class={LogoThumb}>
          <div>
            <Image size={100} src={props.value?.url} />
          </div>
          <Button
            ghost
            type="primary"
            class="mt-20px"
            shape="round"
            onClick={uploadThumbnail}
          >
            修改商城logo
          </Button>
        </div>
      );
    };
  },
});
const LogoThumb = css`
  text-align: center;

  img {
    border: 1px solid #f1f1f1;
    max-height: 100px;
    object-fit: contain;
  }
`;
