import { useCollocation } from "@/modules/collocation";
import { css } from "@linaria/core";
import { Button, Form, Input } from "ant-design-vue";
import { queenApi } from "queenjs";
import { defineComponent, reactive, ref } from "vue";
import Category from "./Category";
import Shoplogo from "./Shoplogo";

export default defineComponent({
  setup() {
    const collocation = useCollocation();

    const formRef = ref();

    const formState = reactive({});

    const submit = async () => {
      const data = await formRef.value.validate();
      console.log("data: ", data);
    };

    const update = async (values: any) => {
      // await collocation.actions.updateMerchant(values);
      // queenApi.messageSuccess("商城信息更新成功");
    };

    return () => (
      <div class={DesignStyle}>
        <h3 class="font-bold">商家信息</h3>
        <div class={"marchant_form"}>
          <Form
            layout="vertical"
            colon={false}
            ref={formRef}
            model={formState}
            // key={ctx.shop.state.ShopInfo?.merchantId}
            // data={ctx.shop.state.ShopInfo}
          >
            <Form.Item name="thumbnail">
              <Shoplogo />
            </Form.Item>

            <Form.Item name="name" label="商城名称">
              <Input placeholder="请输入定制商城名称" maxlength={12} />
            </Form.Item>

            <Form.Item name="sellerKey" label="收款账号">
              <Input placeholder="请输入收款账号" />
            </Form.Item>

            <Form.Item name="categories">
              <Category />
            </Form.Item>

            <Form.Item class="text-center">
              <Button
                class="w-200px"
                size="large"
                type="primary"
                onClick={submit}
              >
                保存
              </Button>
            </Form.Item>
          </Form>
        </div>
      </div>
    );
  },
});

const DesignStyle = css`
  padding: 20px;
  .marchant_form {
    width: 500px;
    margin: 0 auto;
    .form_item {
      .form_item_view {
        flex-flow: column;
        align-items: flex-start;
        .form_item_label {
          width: 100%;
          max-width: 100%;
          margin-bottom: 12px;
        }
        .form_item_child {
          width: 100%;
        }
      }
    }
  }
`;
