import { createRouter, createWebHashHistory } from "vue-router";
import BasicLayout from "./components/BasicLayout";
import PageView from "../components/layouts/PageView";
import BlankLayout from "../components/layouts/BlankLayout";

const VUE_APP_ENV = process.env.VUE_APP_ENV;

const routes = [
  {
    path: "/",
    name: "index",
    component: BasicLayout,
    redirect: "/design",
    children: [
      {
        path: "/marchant",
        name: "基础信息",
        component: () => import("./Marchant"),
      },
      {
        path: "/design",
        name: "款式管理",
        component: PageView,
        redirect: "/design/list",
        children: [
          {
            path: "/design/list",
            name: "款式列表",
            component: () => import("./Design"),
          },
        ],
      },
    ],
  },
  {
    path: "/editor",
    name: "editor",
    component: BlankLayout,
    redirect: "/",
    children: [
      {
        path: "/design/edit/:id",
        name: "editor",
        component: () => import("./Editor"),
      },
    ],
  },
];

const router = createRouter({
  history: createWebHashHistory(), // process.env.BASE_URL
  routes,
});

export default router;

export const menuData = GenerateRoutes(routes);

function GenerateRoutes(data: any) {
  const accessedRouters = data.filter((route: any) => {
    return route.name == "index";
  });

  return accessedRouters[0];
}
